{ pkgs, ... }:

{
  services.tailscale = {
    enable = true;
    package = pkgs.tailscale;
    interfaceName = "tailscale0";
    openFirewall = true;
    port = 41641;
    useRoutingFeatures = "both";
    extraSetFlags = [
      "--advertise-routes=192.168.1.1/24"
    ];
  };
}